Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLLinkElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLLinkElementImpl

public final class HTMLLinkElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLLinkElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:11 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLLinkElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLLinkElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getCharset()`
`boolean` | `getDisabled()`
`java.lang.String` | `getHref()`
`java.lang.String` | `getHreflang()`
`java.lang.String` | `getMedia()`
`java.lang.String` | `getRel()`
`java.lang.String` | `getRev()`
`java.lang.String` | `getTarget()`
`java.lang.String` | `getType()`
`void` | `setCharset(java.lang.String charset)`
`void` | `setDisabled(boolean disabled)`
`void` | `setHref(java.lang.String href)`
`void` | `setHreflang(java.lang.String hreflang)`
`void` | `setMedia(java.lang.String media)`
`void` | `setRel(java.lang.String rel)`
`void` | `setRev(java.lang.String rev)`
`void` | `setTarget(java.lang.String target)`
`void` | `setType(java.lang.String type)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLLinkElementImpl

    public HTMLLinkElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDisabled

    public boolean getDisabled()

  Specified by:
    getDisabled in interface org.w3c.dom.html.HTMLLinkElement

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    setDisabled in interface org.w3c.dom.html.HTMLLinkElement

### getCharset

    public java.lang.String getCharset()

  Specified by:
    getCharset in interface org.w3c.dom.html.HTMLLinkElement

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    setCharset in interface org.w3c.dom.html.HTMLLinkElement

### getHref

    public java.lang.String getHref()

  Specified by:
    getHref in interface org.w3c.dom.html.HTMLLinkElement

### setHref

    public void setHref(java.lang.String href)

  Specified by:
    setHref in interface org.w3c.dom.html.HTMLLinkElement

### getHreflang

    public java.lang.String getHreflang()

  Specified by:
    getHreflang in interface org.w3c.dom.html.HTMLLinkElement

### setHreflang

    public void setHreflang(java.lang.String hreflang)

  Specified by:
    setHreflang in interface org.w3c.dom.html.HTMLLinkElement

### getMedia

    public java.lang.String getMedia()

  Specified by:
    getMedia in interface org.w3c.dom.html.HTMLLinkElement

### setMedia

    public void setMedia(java.lang.String media)

  Specified by:
    setMedia in interface org.w3c.dom.html.HTMLLinkElement

### getRel

    public java.lang.String getRel()

  Specified by:
    getRel in interface org.w3c.dom.html.HTMLLinkElement

### setRel

    public void setRel(java.lang.String rel)

  Specified by:
    setRel in interface org.w3c.dom.html.HTMLLinkElement

### getRev

    public java.lang.String getRev()

  Specified by:
    getRev in interface org.w3c.dom.html.HTMLLinkElement

### setRev

    public void setRev(java.lang.String rev)

  Specified by:
    setRev in interface org.w3c.dom.html.HTMLLinkElement

### getTarget

    public java.lang.String getTarget()

  Specified by:
    getTarget in interface org.w3c.dom.html.HTMLLinkElement

### setTarget

    public void setTarget(java.lang.String target)

  Specified by:
    setTarget in interface org.w3c.dom.html.HTMLLinkElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLLinkElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface org.w3c.dom.html.HTMLLinkElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD